[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumn.Assign

Copies property values from the specified persistent object to the current class instance.

## Declaration

Source position: grids.pas line 600

`public procedure TGridColumn.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with properties copied in the method.

## Description

Assign is an overridden method in TGridColumn. It implements the object persistence mechanism from the FPC RTL. Assign copies property value from the persistent object in Source into the current class instance.

When Source is derived from TGridColumn, the following properties are copied in the method:

- Alignment
- ButtonStyle
- Color
- DropDownRows
- Font
- Layout
- MinSize
- MaxSize
- PickList
- ReadOnly
- SizePriority
- Title
- Width
- Visible

If Source is not derived from TGridColumn, the inherited Assign method is called.

## See also

TPersistent.Assign